Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1056)

Issue 405663002: Support basic authentication for html5 media (Closed)

Created:
5 years, 10 months ago by qinmin
Modified:
5 years, 10 months ago
Reviewers:
xhwang
CC:
chromium-reviews, posciak+watch_chromium.org, avayvod+watch_chromium.org, jam, mcasas+watch_chromium.org, feature-media-reviews_chromium.org, darin-cc_chromium.org, wjia+watch_chromium.org
Project:
chromium
Visibility:
Public.

Description

Support basic authentication for html5 media This change passes the basic auth information to android mediaplayer to solve the issue that media with basic auth is not able to play. Previously MediaInfoLoader and MediaResourceGetter could be ran at the same time. However, MediaResourceGetter could miss the credential info if we do that. As a result, we should wait until MediaInfoLoader finishes before creating the browser side MediaPlayer. BUG=319885 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=284535

Patch Set 1 : #

Total comments: 2

Patch Set 2 : updating crbug #

Unified diffs Side-by-side diffs Delta from patch set Stats (+134 lines, -57 lines) Patch
M content/browser/media/android/media_resource_getter_impl.h View 2 chunks +15 lines, -4 lines 0 comments Download
M content/browser/media/android/media_resource_getter_impl.cc View 1 7 chunks +68 lines, -17 lines 0 comments Download
M content/renderer/media/android/webmediaplayer_android.h View 3 chunks +1 line, -7 lines 0 comments Download
M content/renderer/media/android/webmediaplayer_android.cc View 8 chunks +14 lines, -29 lines 0 comments Download
M media/base/android/media_player_bridge.h View 2 chunks +6 lines, -0 lines 0 comments Download
M media/base/android/media_player_bridge.cc View 1 chunk +15 lines, -0 lines 0 comments Download
M media/base/android/media_resource_getter.h View 2 chunks +15 lines, -0 lines 0 comments Download

Messages

Total messages: 8 (0 generated)
qinmin
PTAL
5 years, 10 months ago (2014-07-18 19:28:45 UTC) #1
xhwang
On 2014/07/18 19:28:45, qinmin wrote: > PTAL I am quite busy today. I'll review the ...
5 years, 10 months ago (2014-07-18 19:53:39 UTC) #2
qinmin
On 2014/07/18 19:53:39, xhwang wrote: > On 2014/07/18 19:28:45, qinmin wrote: > > PTAL > ...
5 years, 10 months ago (2014-07-18 20:22:00 UTC) #3
xhwang
lgtm https://codereview.chromium.org/405663002/diff/60001/content/browser/media/android/media_resource_getter_impl.cc File content/browser/media/android/media_resource_getter_impl.cc (right): https://codereview.chromium.org/405663002/diff/60001/content/browser/media/android/media_resource_getter_impl.cc#newcode112 content/browser/media/android/media_resource_getter_impl.cc:112: // there are lots of duplicated functionalities elsewhere. ...
5 years, 10 months ago (2014-07-21 19:45:44 UTC) #4
qinmin
https://codereview.chromium.org/405663002/diff/60001/content/browser/media/android/media_resource_getter_impl.cc File content/browser/media/android/media_resource_getter_impl.cc (right): https://codereview.chromium.org/405663002/diff/60001/content/browser/media/android/media_resource_getter_impl.cc#newcode112 content/browser/media/android/media_resource_getter_impl.cc:112: // there are lots of duplicated functionalities elsewhere. On ...
5 years, 10 months ago (2014-07-21 20:37:57 UTC) #5
qinmin
The CQ bit was checked by qinmin@chromium.org
5 years, 10 months ago (2014-07-21 20:38:19 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/qinmin@chromium.org/405663002/80001
5 years, 10 months ago (2014-07-21 20:40:15 UTC) #7
commit-bot: I haz the power
5 years, 10 months ago (2014-07-21 23:12:36 UTC) #8
Message was sent while issue was closed.
Change committed as 284535

Powered by Google App Engine
This is Rietveld 408576698